Package Details: i2pd-git 2.11.0.r14.gfc08d15a-1

Git Clone URL: https://aur-dev.archlinux.org/i2pd-git.git (read-only)
Package Base: i2pd-git
Description: Simplified C++ implementation of I2P client
Upstream URL: https://github.com/PurpleI2P/i2pd
Licenses: BSD
Conflicts: i2pd
Submitter: M0Rf30
Maintainer: M0Rf30
Last Packager: M0Rf30
Votes: 8
Popularity: 0.003926
First Submitted: 2014-08-20 15:08
Last Updated: 2016-12-23 15:45

Latest Comments

kurych commented on 2016-12-19 06:54

I think if in i2pd package we create a "i2pd" user, probable in i2pd-git we should do the same. As usual I propose right version of packages with my viewpoint in dropbox share: https://www.dropbox.com/sh/wxcl2lhtp8bejnh/AACYq4GNtESC6HCGEkL-iBrca?dl=0

redfish commented on 2016-08-21 17:49

Paths have changed. Here is the patch:

- install -Dm0644 $srcdir/i2pd/debian/tunnels.conf $pkgdir/${_conf_dest}/tunnels.conf
- install -Dm0644 $srcdir/i2pd/debian/subscriptions.txt $pkgdir/${_conf_dest}/subscriptions.txt
+ install -Dm0644 $srcdir/i2pd/docs/tunnels.conf $pkgdir/${_conf_dest}/tunnels.conf
+ install -Dm0644 $srcdir/i2pd/docs/subscriptions.txt $pkgdir/${_conf_dest}/subscriptions.txt

PS. Also, while at it please bump ver to 2.9 in PKGBUILD and .SRCINFO.

kurych commented on 2016-05-19 12:58

redfish: You are right, your version string is more informative. And CXXFLAGS was needed in early versions i2pd. Now it must be cleaned.
But remove links to config files not yet time while soft still under construction.
New tarballs as usual can find at https://www.dropbox.com/sh/wxcl2lhtp8bejnh/AACYq4GNtESC6HCGEkL-iBrca?dl=0

redfish commented on 2016-05-18 16:56

Please use this for pkgver to construct the correct version string: version.g<height>.r<commit>:
git describe --tags --long | sed 's/\([^-]*-g\)/r\1/;s/-/./g'

Btw, why the symlinks in /etc instead of just putting the files there, and passing --conf /etc/... in i2pd.service?

EDIT: Also, please remove compiler flags. It should just use what's in /etc/makepkg.conf; those kind of flags are up to the user, not the packager.

kurych commented on 2016-04-29 14:03

What do you think about necessity UPNP option?
May be better it will get rid of this dependence?

mayurkr commented on 2016-04-29 12:07

The build is crashing because one of the dependency is not meet i.e miniupnpc

Please add miniupnpc to makedepends

Nyarcel commented on 2016-04-12 21:27

debian/i2pd.conf is now docs/i2pd.conf
Please fix.

kurych commented on 2016-04-04 09:00

Since version 2.6.0 changed names of config files. Now i2pd.conf and tunnels.conf.

tee commented on 2016-04-01 20:55

need to add miniupnpc to makedepends

kurych commented on 2016-03-03 10:40

In new tarballs, which you can find on same path on dropbox, was taken off dependencies from "cmake", because main developer support only Makefile in current time. And all configuration files placed to expected point - /etc/i2pd.

All comments